Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
HTV_ag

Lisp Chọn đối tượng bằng ssget sử dụng phương pháp CPolygon

Các bài được khuyến nghị

HTV_ag    0

Tôi có một list gồm tập hợp tọa độ các góc của một đa giác, nay tôi muốn dùng lệnh (setq ss (ssget "CP" và cái list kia thì làm như thế nào?.

Ai biết xin chỉ giúp tôi với. Thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Tôi có một list gồm tập hợp tọa độ các góc của một đa giác, nay tôi muốn dùng lệnh (setq ss (ssget "CP" và cái list kia thì làm như thế nào?.

Ai biết xin chỉ giúp tôi với. Thanks!

bạn dùng cú pháp lệnh

(setq ss (ssget "CP" listkia))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
HTV_ag    0
bạn dùng cú pháp lệnh

(setq ss (ssget "CP" listkia))

Cảm ơn bạn đã giúp đỡ!

Còn tôi muốn sử dụng lệnh trim của Cad sử dụng Fence là cái list đó thì làm như thế nào nhỉ, tôi viết thế này:

(command "trim" ss "" "Fence" listkia "")

thì nó báo lỗi ko hiểu cái list list.

Rất mong được giúp đỡ, xin cảm ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Cảm ơn bạn đã giúp đỡ!

Còn tôi muốn sử dụng lệnh trim của Cad sử dụng Fence là cái list đó thì làm như thế nào nhỉ, tôi viết thế này:

(command "trim" ss "" "Fence" listkia "")

thì nó báo lỗi ko hiểu cái list list.

Rất mong được giúp đỡ, xin cảm ơn.

bạn dùng lệnh:

(command "trim" ss "" "f")

(foreach p listkia

(command p)

)

(command "")

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×